%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:          hibernate-search
Version:       5.5.4
Release:       2%{?dist}
Summary:       Hibernate Search
License:       LGPLv2+
URL:           http://hibernate.org/search/
Source0:       https://github.com/hibernate/hibernate-search/archive/%{namedversion}/%{name}-%{namedversion}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.puppycrawl.tools:checkstyle)
BuildRequires: mvn(commons-io:commons-io)
BuildRequires: mvn(java_cup:java_cup)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(log4j:log4j:12)
BuildRequires: mvn(org.apache.avro:avro)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.apache.lucene:lucene-analyzers-common) 
BuildRequires: mvn(org.apache.lucene:lucene-analyzers-phonetic)
BuildRequires: mvn(org.apache.lucene:lucene-backward-codecs)
BuildRequires: mvn(org.apache.lucene:lucene-core) >= 5.3.1
BuildRequires: mvn(org.apache.lucene:lucene-facet)
BuildRequires: mvn(org.apache.lucene:lucene-misc)
BuildRequires: mvn(org.apache.lucene:lucene-queryparser)
BuildRequires: mvn(org.apache.maven.plugins:maven-checkstyle-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires: mvn(org.apache.pdfbox:pdfbox)
BuildRequires: mvn(org.apache.tika:tika-core)
BuildRequires: mvn(org.bsc.maven:maven-processor-plugin)
BuildRequires: mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires: mvn(org.hibernate:hibernate-core) >= 5.0.7
BuildRequires: mvn(org.hibernate:hibernate-entitymanager)
BuildRequires: mvn(org.hibernate:hibernate-envers)
BuildRequires: mvn(org.hibernate:hibernate-testing)
BuildRequires: mvn(org.hibernate.common:hibernate-commons-annotations)  >= 5.0.1
BuildRequires: mvn(org.hibernate.javax.persistence:hibernate-jpa-2.1-api)
BuildRequires: mvn(org.jboss.byteman:byteman)
BuildRequires: mvn(org.jboss.byteman:byteman-bmunit)
BuildRequires: mvn(org.jboss.byteman:byteman-install)
BuildRequires: mvn(org.jboss.logging:jboss-logging)
BuildRequires: mvn(org.jboss.logging:jboss-logging-annotations)
BuildRequires: mvn(org.jboss.maven.plugins:maven-injection-plugin)
BuildRequires: mvn(org.jboss.spec.javax.jms:jboss-jms-api_2.0_spec)
BuildRequires: mvn(org.jboss.spec.javax.transaction:jboss-transaction-api_1.2_spec)
BuildRequires: mvn(org.jgroups:jgroups) >= 3.6.6
BuildRequires: mvn(simple-jndi:simple-jndi)
BuildRequires: xmvn

BuildArch:     noarch

%description
Full text search engines like Apache Lucene are very powerful technologies to
add efficient free text search capabilities to applications. However, Lucene
suffers several mismatches when dealing with object domain models. Amongst
other things indexes have to be kept up to date and mismatches between index
structure and domain model as well as query mismatches have to be avoided.

Hibernate Search addresses these shortcomings - it indexes your domain model
with the help of a few annotations, takes care of database/index
synchronization and brings back regular managed objects from free text queries.

Hibernate Search is using Apache Lucene under the cover.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
rm -rf orm/src/test/resources/org/hibernate/search/test/bridge/tika/

%pom_disable_module integrationtest/jms
%pom_disable_module integrationtest/narayana
%pom_disable_module integrationtest/spring
%pom_disable_module integrationtest/wildfly
%pom_disable_module integrationtest/performance
%pom_disable_module integrationtest/osgi/karaf-features
%pom_disable_module integrationtest/osgi/karaf-it
%pom_disable_module integrationtest/sandbox
%pom_disable_module integrationtest/engine-performance
%pom_disable_module distribution
%pom_disable_module documentation
# This component is now owned and maintained by the Infinispan team:
# org.infinispan:infinispan-directory-provider:8.0.1.Final
%pom_disable_module infinispan
%pom_disable_module legacy

# hibernate-search-engine, hibernate-search-orm
%pom_xpath_remove "pom:dependency[pom:type = 'test-jar']" testing

%pom_remove_plugin ":maven-enforcer-plugin"
# de.thetaphi:forbiddenapis:1.8
%pom_remove_plugin -r :forbiddenapis

%pom_remove_dep org.apache.tika:tika-core
%pom_change_dep -r "org.apache.tika:tika-parsers" "org.apache.tika:tika-core"
%pom_change_dep -r :log4j ::12

# org.easytesting:fest-assert:1.4
%pom_remove_dep -r :fest-assert
# org.unitils:unitils-easymock:3.3
%pom_remove_dep -r :unitils-easymock

%mvn_alias :hibernate-search-orm :hibernate-search

%build
# NO test deps see above
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc changelog.txt README.md
%license lgpl.txt

%files javadoc -f .mfiles-javadoc
%license lgpl.txt

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Aug 21 2016 gil cattaneo <puntogil@libero.it> 5.5.4-1
- Update to 5.5.4.Final

* Tue Aug 09 2016 gil cattaneo <puntogil@libero.it> 5.5.1-2
- add missing build requires: xmvn
- prevent duplicate pom BR entries

* Thu Aug 04 2016 gil cattaneo <puntogil@libero.it> 5.5.1-1
- Update to 5.5.1.Final

* Tue Jul 26 2016 gil cattaneo <puntogil@libero.it> 4.5.1-7
- add missin BRs
- introduce license macro

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.5.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.5.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 16 2014 Marek Goldmann <mgoldman@redhat.com> - 4.5.1-4
- Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Apr 17 2014 Marek Goldmann <mgoldman@redhat.com> - 4.5.1-2
- Rebuild with infinispan

* Wed Apr 16 2014 Marek Goldmann <mgoldman@redhat.com> - 4.5.1-1
- Upstream release 4.5.1.Final
- Add support for lucene3 compat package in Fedora > 20

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 4.5.0-2
- Use Requires: java-headless rebuild (#1067528)

* Fri Feb 14 2014 Marek Goldmann <mgoldman@redhat.com> - 4.5.0-1
- Upstream release 4.5.0.Final

* Wed Jan 15 2014 Marek Goldmann <mgoldman@redhat.com> - 4.5.0-0.1.Alpha2
- Upstream release 4.5.0.Alpha2

* Wed Oct 23 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 4.4.0-0.6.CR1
- Rebuild to regenerate broken POMs
- Related: rhbz#1021484

* Mon Oct 21 2013 Marek Goldmann <mgoldman@redhat.com> - 4.4.0-0.5.CR1
- Enable infinispan module

* Fri Oct 18 2013 Marek Goldmann <mgoldman@redhat.com> - 4.4.0-0.4.CR1
- Updated license and dist macro

* Fri Oct 18 2013 Marek Goldmann <mgoldman@redhat.com> - 4.4.0-0.3.CR1
- Cleaned up source from mp3 (?!) files

* Wed Oct 16 2013 Marek Goldmann <mgoldman@redhat.com> - 4.4.0-0.2.CR1
- Use version 3 (compat) of solr

* Wed Oct 09 2013 Marek Goldmann <mgoldman@redhat.com> - 4.4.0-0.1.CR1
- Initial import
